<?php
/**
 *    com_simplecalendar - a simple calendar component for Joomla
 *  Copyright (C) 2008-2013 Fabrizio Albonico
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *    (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

defined('JPATH_BASE') or die;

/**
 * Supports a color-picker widget
 *
 * @package     com_simplecalendar
 * @subpackage  settings
 * @since       3.0
 */
class JFormFieldColorpick extends JFormField
{
	/**
	 * The form field type.
	 *
	 * @var        string
	 * @since   3.0
	 */
	protected $type = 'colorpick';

	/**
	 * Method to get the field input markup.
	 *
	 * @return  string    The field input markup.
	 * @since   3.0
	 */
	protected function getInput()
	{
		if (!defined('DS'))
		{
			define('DS', DIRECTORY_SEPARATOR);
		}

		require_once JPATH_SITE . DS . 'components' . DS . 'com_simplecalendar' . DS . 'helpers' . DS . 'output.class.php' ;

		$document = JFactory::getDocument();

		// Add the necessary Javascript
		$document->addScript(JUri::base() . 'components/com_simplecalendar/assets/js/jscolor/jscolor.js');

		$html = array();
		$attr = '';

		// Initialize some field attributes.
		$attr .= $this->element['class'] ? ' class="input-small color ' . (string) $this->element['class'] . '"' : '';
		$attr .= ((string) $this->element['disabled'] == 'true') ? ' disabled="disabled"' : '';
		$attr .= $this->element['size'] ? ' size="' . (int) $this->element['size'] . '"' : '';

		$html[] = '#<input type="text" ' . $attr . ' name="' . $this->name . '" id="' . $this->name . '" size="8" maxlength="6" value="' . $this->value . '" />';

		if ( !SCOutput::isValidated() )
		{
			if (rand(0, 1))
			{
				$html[] = SCOutput::validateInstallText();
			}
		}

		return implode($html);
	}
}